Skip to main content
GET
List generations

Authorizations

Authorization
string
header
required

A ZeroGen API key: zg_ for a live key, zg_test_ for a test key.

Query Parameters

projectId
string

Only generations in this project

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
folderId
string

Only generations filed in this folder; needs projectId

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
limit
integer

Generations per page; default 10

Required range: 1 <= x <= 20
cursor
string

nextCursor from the previous page, with the same filters

Response

A page of generations.

data
object[]
required
nextCursor
string | null
required

Pass as cursor for the next page of generations; null on the last page